
Name: app-netify
Epoch: 1
Version: 2.3.1
Release: 1%{dist}
Summary: Netify
License: GPLv3
Group: ClearOS/Apps
Packager: eGloo
Vendor: eGloo
Source: %{name}-%{version}.tar.gz
Buildarch: noarch
Requires: %{name}-core = 1:%{version}-%{release}
Requires: app-base

%description
Netify provides monitoring, security, visibility and control of traffic on your network. It is a cloud-based service that answers a simple question "What is happening on my network?"  With Netify, you can manage your network in a quick, smart and intuitive way.

%package core
Summary: Netify - Core
License: LGPLv3
Group: ClearOS/Libraries
Requires: app-base-core
Requires: app-network-core
Requires: netifyd >= 1.7

%description core
Netify provides monitoring, security, visibility and control of traffic on your network. It is a cloud-based service that answers a simple question "What is happening on my network?"  With Netify, you can manage your network in a quick, smart and intuitive way.

This package provides the core API and libraries.

%prep
%setup -q
%build

%install
mkdir -p -m 755 %{buildroot}/usr/clearos/apps/netify
cp -r * %{buildroot}/usr/clearos/apps/netify/

install -d -m 0755 %{buildroot}/var/clearos/netify
install -D -m 0644 packaging/netifyd.php %{buildroot}/var/clearos/base/daemon/netifyd.php
install -D -m 0755 packaging/network-configuration-event %{buildroot}/var/clearos/events/network_configuration/netify

%post
logger -p local6.notice -t installer 'app-netify - installing'

%post core
logger -p local6.notice -t installer 'app-netify-core - installing'

if [ $1 -eq 1 ]; then
    [ -x /usr/clearos/apps/netify/deploy/install ] && /usr/clearos/apps/netify/deploy/install
fi

[ -x /usr/clearos/apps/netify/deploy/upgrade ] && /usr/clearos/apps/netify/deploy/upgrade

exit 0

%preun
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-netify - uninstalling'
fi

%preun core
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-netify-core - uninstalling'
    [ -x /usr/clearos/apps/netify/deploy/uninstall ] && /usr/clearos/apps/netify/deploy/uninstall
fi

exit 0

%files
%defattr(-,root,root)
/usr/clearos/apps/netify/controllers
/usr/clearos/apps/netify/htdocs
/usr/clearos/apps/netify/views

%files core
%defattr(-,root,root)
%exclude /usr/clearos/apps/netify/packaging
%exclude /usr/clearos/apps/netify/unify.json
%dir /usr/clearos/apps/netify
%dir /var/clearos/netify
/usr/clearos/apps/netify/deploy
/usr/clearos/apps/netify/language
/usr/clearos/apps/netify/libraries
/var/clearos/base/daemon/netifyd.php
/var/clearos/events/network_configuration/netify
